import { Context, Option, PublicKey, Signer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type CreateMintArgs = {
    mint: Signer;
    decimals?: number;
    mintAuthority?: PublicKey;
    freezeAuthority?: Option<PublicKey>;
};
export declare function createMint(context: Pick<Context, 'serializer' | 'programs' | 'identity' | 'payer'>, input: CreateMintArgs): WrappedInstruction[];
