"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addMemo = exports.getAddMemoInstructionDataSerializer = void 0;
function getAddMemoInstructionDataSerializer(context) {
    const s = context.serializer;
    return s.struct([['memo', s.string()]], 'AddMemoInstructionArgs');
}
exports.getAddMemoInstructionDataSerializer = getAddMemoInstructionDataSerializer;
function addMemo(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.get('splMemo').publicKey;
    const data = getAddMemoInstructionDataSerializer(context).serialize(input);
    const bytesCreatedOnChain = 0;
    return {
        instruction: { keys, programId, data },
        signers,
        bytesCreatedOnChain,
    };
}
exports.addMemo = addMemo;
//# sourceMappingURL=addMemo.js.map