import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type ApproveTokenDelegateInstructionAccounts = {
    source: PublicKey;
    delegate: PublicKey;
    owner: Signer;
};
export type ApproveTokenDelegateInstructionData = {
    discriminator: number;
    amount: bigint;
};
export type ApproveTokenDelegateInstructionArgs = {
    amount: number | bigint;
};
export declare function getApproveTokenDelegateInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<ApproveTokenDelegateInstructionArgs, ApproveTokenDelegateInstructionData>;
export declare function approveTokenDelegate(context: Pick<Context, 'serializer' | 'programs'>, input: ApproveTokenDelegateInstructionAccounts & ApproveTokenDelegateInstructionArgs): WrappedInstruction;
