import { Context, Option, PublicKey, Serializer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type InitializeMint2InstructionAccounts = {
    mint: PublicKey;
};
export type InitializeMint2InstructionData = {
    discriminator: number;
    decimals: number;
    mintAuthority: PublicKey;
    freezeAuthority: Option<PublicKey>;
};
export type InitializeMint2InstructionArgs = {
    decimals: number;
    mintAuthority: PublicKey;
    freezeAuthority: Option<PublicKey>;
};
export declare function getInitializeMint2InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<InitializeMint2InstructionArgs, InitializeMint2InstructionData>;
export declare function initializeMint2(context: Pick<Context, 'serializer' | 'programs'>, input: InitializeMint2InstructionAccounts & InitializeMint2InstructionArgs): WrappedInstruction;
