import { Context, PublicKey, Serializer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type InitializeToken3InstructionAccounts = {
    account: PublicKey;
    mint: PublicKey;
};
export type InitializeToken3InstructionData = {
    discriminator: number;
    owner: PublicKey;
};
export type InitializeToken3InstructionArgs = {
    owner: PublicKey;
};
export declare function getInitializeToken3InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<InitializeToken3InstructionArgs, InitializeToken3InstructionData>;
export declare function initializeToken3(context: Pick<Context, 'serializer' | 'programs'>, input: InitializeToken3InstructionAccounts & InitializeToken3InstructionArgs): WrappedInstruction;
