"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMplTokenExtrasProgram = void 0;
const umi_core_1 = require("@metaplex-foundation/umi-core");
const errors_1 = require("../errors");
function getMplTokenExtrasProgram() {
    return {
        name: 'mplTokenExtras',
        publicKey: (0, umi_core_1.publicKey)('TokExjvjJmhKaRBShsBAsbSvEWMA1AgUNK7ps4SAc2p'),
        getErrorFromCode(code, cause) {
            return (0, errors_1.getMplTokenExtrasErrorFromCode)(code, this, cause);
        },
        getErrorFromName(name, cause) {
            return (0, errors_1.getMplTokenExtrasErrorFromName)(name, this, cause);
        },
        isOnCluster() {
            return true;
        },
    };
}
exports.getMplTokenExtrasProgram = getMplTokenExtrasProgram;
//# sourceMappingURL=mplTokenExtras.js.map