"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSplMemoProgram = void 0;
const umi_core_1 = require("@metaplex-foundation/umi-core");
const errors_1 = require("../errors");
function getSplMemoProgram() {
    return {
        name: 'splMemo',
        publicKey: (0, umi_core_1.publicKey)('Memo1UhkJRfHyvLMcVucJwxXeuD728EqVDDwQDxFMNo'),
        getErrorFromCode(code, cause) {
            return (0, errors_1.getSplMemoErrorFromCode)(code, this, cause);
        },
        getErrorFromName(name, cause) {
            return (0, errors_1.getSplMemoErrorFromName)(name, this, cause);
        },
        isOnCluster() {
            return true;
        },
    };
}
exports.getSplMemoProgram = getSplMemoProgram;
//# sourceMappingURL=splMemo.js.map