"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSplTokenProgram = void 0;
const umi_core_1 = require("@metaplex-foundation/umi-core");
const errors_1 = require("../errors");
function getSplTokenProgram() {
    return {
        name: 'splToken',
        publicKey: (0, umi_core_1.publicKey)('TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA'),
        getErrorFromCode(code, cause) {
            return (0, errors_1.getSplTokenErrorFromCode)(code, this, cause);
        },
        getErrorFromName(name, cause) {
            return (0, errors_1.getSplTokenErrorFromName)(name, this, cause);
        },
        isOnCluster() {
            return true;
        },
    };
}
exports.getSplTokenProgram = getSplTokenProgram;
//# sourceMappingURL=splToken.js.map