"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAuthorityTypeSerializer = exports.AuthorityType = void 0;
var AuthorityType;
(function (AuthorityType) {
    AuthorityType[AuthorityType["MintTokens"] = 0] = "MintTokens";
    AuthorityType[AuthorityType["FreezeAccount"] = 1] = "FreezeAccount";
    AuthorityType[AuthorityType["AccountOwner"] = 2] = "AccountOwner";
    AuthorityType[AuthorityType["CloseAccount"] = 3] = "CloseAccount";
})(AuthorityType = exports.AuthorityType || (exports.AuthorityType = {}));
function getAuthorityTypeSerializer(context) {
    const s = context.serializer;
    return s.enum(AuthorityType, 'AuthorityType');
}
exports.getAuthorityTypeSerializer = getAuthorityTypeSerializer;
//# sourceMappingURL=authorityType.js.map