"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSplMemoErrorFromName = exports.getSplMemoErrorFromCode = void 0;
const codeToErrorMap = new Map();
const nameToErrorMap = new Map();
function getSplMemoErrorFromCode(code, program, cause) {
    const constructor = codeToErrorMap.get(code);
    return constructor ? new constructor(program, cause) : null;
}
exports.getSplMemoErrorFromCode = getSplMemoErrorFromCode;
function getSplMemoErrorFromName(name, program, cause) {
    const constructor = nameToErrorMap.get(name);
    return constructor ? new constructor(program, cause) : null;
}
exports.getSplMemoErrorFromName = getSplMemoErrorFromName;
//# sourceMappingURL=splMemo.js.map