import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type ApproveTokenDelegateCheckedInstructionAccounts = {
    source: PublicKey;
    mint: PublicKey;
    delegate: PublicKey;
    owner: Signer;
};
export type ApproveTokenDelegateCheckedInstructionData = {
    discriminator: number;
    amount: bigint;
    decimals: number;
};
export type ApproveTokenDelegateCheckedInstructionArgs = {
    amount: number | bigint;
    decimals: number;
};
export declare function getApproveTokenDelegateCheckedInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<ApproveTokenDelegateCheckedInstructionArgs, ApproveTokenDelegateCheckedInstructionData>;
export declare function approveTokenDelegateChecked(context: Pick<Context, 'serializer' | 'programs'>, input: ApproveTokenDelegateCheckedInstructionAccounts & ApproveTokenDelegateCheckedInstructionArgs): WrappedInstruction;
