import { Context, PublicKey, Serializer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type InitializeTokenInstructionAccounts = {
    account: PublicKey;
    mint: PublicKey;
    owner: PublicKey;
    rent?: PublicKey;
};
export type InitializeTokenInstructionData = {
    discriminator: number;
};
export type InitializeTokenInstructionArgs = {};
export declare function getInitializeTokenInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<InitializeTokenInstructionArgs, InitializeTokenInstructionData>;
export declare function initializeToken(context: Pick<Context, 'serializer' | 'programs'>, input: InitializeTokenInstructionAccounts): WrappedInstruction;
