import { Context, PublicKey, Signer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type RecoverNestedAssociatedTokenInstructionAccounts = {
    nestedAssociatedAccountAddress: PublicKey;
    nestedTokenMintAddress: PublicKey;
    destinationAssociatedAccountAddress: PublicKey;
    ownerAssociatedAccountAddress: PublicKey;
    ownerTokenMintAddress: PublicKey;
    walletAddress: Signer;
    tokenProgram?: PublicKey;
};
export declare function recoverNestedAssociatedToken(context: Pick<Context, 'serializer' | 'programs'>, input: RecoverNestedAssociatedTokenInstructionAccounts): WrappedInstruction;
