import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type TransferAllSolInstructionAccounts = {
    source?: Signer;
    destination: PublicKey;
    systemProgram?: PublicKey;
};
export type TransferAllSolInstructionData = {
    discriminator: number;
};
export type TransferAllSolInstructionArgs = {};
export declare function getTransferAllSolInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<TransferAllSolInstructionArgs, TransferAllSolInstructionData>;
export declare function transferAllSol(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: TransferAllSolInstructionAccounts): WrappedInstruction;
